# $Revision: 1.21 $, $Date: 2011/02/14 07:42:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	ManyParams
Summary:	Test::ManyParams - module to test many params as one test
Summary(pl.UTF-8):	Test::ManyParams - moduł do testowania wielu parametrów podczas jednego testu
Name:		perl-Test-ManyParams
Version:	0.10
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba8534916c50206985beda77720c671b
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Readonly
BuildRequires:	perl-Set-CrossProduct
BuildRequires:	perl-Test-Builder-Tester
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module helps to tests many parameters at once. In general, it
calls the given subroutine with every combination of the given
parameter values. The combinations are created with building a cross
product.

%description -l pl.UTF-8
Ten moduł jest pomocny przy testowania wielu parametrów naraz.
Ogólnie, wywołuje on podaną funkcję we wszystkich kombinacjach
podanych wartości parametrów. Kombinacje są tworzone poprzez iloczyn
kartezjański.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-ManyParams.spec,v $
Revision 1.21  2011/02/14 07:42:13  glen
- release 3

Revision 1.20  2008/07/27 22:41:06  arekm
- release 2

Revision 1.19  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:48  paladine
- formatting

Revision 1.16  2004/05/06 18:21:15  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.14  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.13  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/06/11 14:02:56  qboosh
- up to 0.10, BR: perl-Test-Differences

Revision 1.10  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:34:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:37  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/08 15:50:18  radek
- version 0.08

Revision 1.3  2002/09/03 07:50:12  marcus
- updated to 0.07

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
